Bug 728397 - [abrt] telepathy-butterfly-0.5.15-3.fc15: muc.py:91:__add_initial_participants:NameError: global name 'contact' is not defined
Summary: [abrt] telepathy-butterfly-0.5.15-3.fc15: muc.py:91:__add_initial_participant...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 15
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:ec67faa46ca131de228ec621865...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-05 00:06 UTC by Fernando Pereira dos Santos
Modified: 2012-01-25 22:32 UTC (History)
8 users (show)

Fixed In Version: telepathy-butterfly-0.5.15-4.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-25 22:32:54 UTC


Attachments (Terms of Use)
Tested bugfix (879 bytes, patch)
2012-01-16 23:00 UTC, bernhardredl
no flags Details | Diff

Description Fernando Pereira dos Santos 2011-08-05 00:06:03 UTC
abrt version: 2.0.3
architecture:   i686
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
comment:        Just crashed!
component:      telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         2.6.40-4.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        telepathy-butterfly-0.5.15-3.fc15
reason:         muc.py:91:__add_initial_participants:NameError: global name 'contact' is not defined
time:           Thu Aug  4 21:05:16 2011
uid:            500
username:       fairhonanth

backtrace:
:muc.py:91:__add_initial_participants:NameError: global name 'contact' is not defined
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/butterfly/util/decorator.py", line 87, in async_function
:    func(*args, **kwargs)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/muc.py", line 91, in __add_initial_participants
:    handle = self._conn.ensure_contact_handle(contact)
:NameError: global name 'contact' is not defined
:
:Local variables in innermost frame:
:handles: [<butterfly.handle.ButterflyContactHandle object at 0xb715458c>]
:participant: <papyon.Contact id='b16d7509-0000-0000-0000-000000000000' network='1' account='andradecristiane@live.com' memberships='ALLOW'>
:self: <butterfly.channel.muc.ButterflyMucChannel at /org/freedesktop/Telepathy/Connection/butterfly/msn/fairhonanth_40live_2ecom/TextChannel2 at 0x93fe30c>

Comment 1 Martin 2011-08-30 20:31:47 UTC
Package: telepathy-butterfly-0.5.15-3.fc15
Architecture: x86_64
OS Release: Fedora release 15 (Lovelock)

Comment
-----
I just sign me in my msn account with empahty

Comment 2 Sanne Bregman 2011-09-21 17:57:36 UTC
Package: telepathy-butterfly-0.5.15-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
This is probably because I was added to a MSN groupchat

Comment 3 Sanne Bregman 2011-11-06 17:59:09 UTC
Package: telepathy-butterfly-0.5.15-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
I was added to a MSN group conversation. It failed.

Comment 4 esteban.registrado 2011-12-23 19:53:07 UTC
I think the send me an invitation to join a group conversation in msn.

rating: (null)
Package: telepathy-butterfly-0.5.15-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 5 bernhardredl 2012-01-09 22:21:17 UTC
multiuser chat msn

rating: (null)
Package: telepathy-butterfly-0.5.15-3.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment 6 bernhardredl 2012-01-16 23:00:08 UTC
Created attachment 555626 [details]
Tested bugfix

please integrate this upstream. Tested working MSN multiuserchat with 3 people

Comment 7 Brian Pepple 2012-01-17 00:24:21 UTC
(In reply to comment #6)
> Created attachment 555626 [details]
> Tested bugfix
> 
> please integrate this upstream. Tested working MSN multiuserchat with 3 people

I'll give this a look tomorrow. Upstream development on telepathy-butterfly is pretty much DOA these days. Empathy will be using the XMPP to connect to MSN in the future.

Comment 8 Fedora Update System 2012-01-17 14:36:36 UTC
telepathy-butterfly-0.5.15-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/telepathy-butterfly-0.5.15-4.fc16

Comment 9 Fedora Update System 2012-01-17 20:27:51 UTC
Package telepathy-butterfly-0.5.15-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing telepathy-butterfly-0.5.15-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-0629/telepathy-butterfly-0.5.15-4.fc16
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2012-01-25 22:32:54 UTC
telepathy-butterfly-0.5.15-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.